--Crear Tabla intermedia
if not exists(select * FROM INFORMATION_SCHEMA.TABLES  where Table_Name='doc_documento.proyecto_ejecutores')
begin
EXEC _ini_creartabla 'doc_documento.proyecto_ejecutores', 1
end
---creacion columnas
if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='doc_documento.proyecto_ejecutores' and column_name = 'id_ejecutores' )
begin
alter table [doc_documento.proyecto_ejecutores] add [id_ejecutores] int not NULL DEFAULT 0
end
if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='doc_documento.proyecto_ejecutores' and column_name = 'id_documento.proyecto' )
begin
alter table [doc_documento.proyecto_ejecutores] add [id_documento.proyecto] int not NULL DEFAULT 0
end



-- insercion _columnas

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='doc_documento.proyecto_ejecutores'
      AND [columna]='id_ejecutores' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='int' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('doc_documento.proyecto_ejecutores' ,'id_ejecutores',1 ,5 ,1 ,'int' ,0 ,100)
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='doc_documento.proyecto_ejecutores'
      AND [columna]='id_documento.proyecto' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='int' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('doc_documento.proyecto_ejecutores' ,'id_documento.proyecto',1 ,5 ,1 ,'int' ,0 ,100)
END






 --Relaciones--------------------------------
 
IF NOT  EXISTS (SELECT * FROM sys.foreign_keys WHERE parent_object_id = OBJECT_ID(N'[dbo].[doc_documento.proyecto_ejecutores]') AND object_id = OBJECT_ID(N'[dbo].[fk_documento.proyecto_ejecutores_id_ejecutores]')  )
ALTER TABLE [doc_documento.proyecto_ejecutores] ADD CONSTRAINT
	[fk_documento.proyecto_ejecutores_id_ejecutores] FOREIGN KEY
	--nombre llave foranea--------tabla relacionada---------llave primaria------------
	([id_ejecutores]) REFERENCES [pro_ejecutores]	(id)
 
ALTER TABLE [dbo].[doc_documento.proyecto_ejecutores] CHECK CONSTRAINT [fk_documento.proyecto_ejecutores_id_ejecutores]


IF NOT  EXISTS (SELECT * FROM sys.foreign_keys WHERE parent_object_id = OBJECT_ID(N'[dbo].[doc_documento.proyecto_ejecutores]') AND object_id = OBJECT_ID(N'[dbo].[fk_documento.proyecto_ejecutores_id_documento.proyecto]')  )
ALTER TABLE [doc_documento.proyecto_ejecutores] ADD CONSTRAINT
	[fk_documento.proyecto_ejecutores_id_documento.proyecto] FOREIGN KEY
	--nombre llave foranea--------tabla relacionada---------llave primaria------------
	([id_documento.proyecto]) REFERENCES [doc_documento.proyecto]	(id)
 
ALTER TABLE [dbo].[doc_documento.proyecto_ejecutores] CHECK CONSTRAINT [fk_documento.proyecto_ejecutores_id_documento.proyecto]
